commit:     4fd225f78c59a168c9f0a61eaeb73e739020d56a
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 15 22:17:45 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sat Apr 15 22:17:45 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4fd225f7

dev-python/setuptools: Version bump to 34.4.1

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 dev-python/setuptools/Manifest                 |  1 +
 dev-python/setuptools/setuptools-34.4.1.ebuild | 69 ++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/dev-python/setuptools/Manifest b/dev-python/setuptools/Manifest
index 97ae258ae5c..ca74d70822c 100644
--- a/dev-python/setuptools/Manifest
+++ b/dev-python/setuptools/Manifest
@@ -5,3 +5,4 @@ DIST setuptools-33.1.1.zip 702770 SHA256 
6b20352ed60ba08c43b3611bdb502286f7a869f
 DIST setuptools-34.0.2.zip 617839 SHA256 
a5bdc45a3c123a88c84e089a789ba70bbc61ee888c1306fd9dac04e037e81c37 SHA512 
8ff6475620fc18e5992900dffd50158bfea980d3e7f2c7c98e8c99180b2f11b3f81c13a60f93516da580def2543a786940cc164dcdc36802d9657c48e45d9266
 WHIRLPOOL 
c9350f96628957c0bab680a2cd018d27d93f04afded737b317b9ea527e0bad3ea9c4f4af2a31843a3010573cdb0ec1c7fbdeef371cfc8cb5c8de93b6d762bf1d
 DIST setuptools-34.3.2.zip 622899 SHA256 
4efcdcbc0b268a4c5b1094b36dd5ed55658968195577ed331cec9b1c71891f31 SHA512 
f2f849a505c80bf93825d8136df4b3198a8041bfdc183882a8d2194ca1376b3e3ea24f56d2975eb374be54923e8bb45c7afeedbce86798efb31b1fb9e3b6c371
 WHIRLPOOL 
c7a53c8f046b6ba548b0ad19f0d6ca23a022567b49ff6fecd4e06d4ce86487e7bbacaa48b58889f443acd5712dc1e67009d971722971aad9338a0876ffc317eb
 DIST setuptools-34.3.3.zip 622967 SHA256 
2cd244d3fca6ff7d0794a9186d1d19a48453e9813ae1d783edbfb8c348cde905 SHA512 
e45552954864b3b53319807a1593e8d10fc477f1a864da73560a17760f5239eca1cb338ad822c6680cb26c8e15897163122e4e9b19e76ed1e6d1542ffe7a6d34
 WHIRLPOOL 
ddbc9e3ce6466416c3687fd7295dcc4f77aaf059550542cb9d21f31359adac0bc0b2281c755e1867db18ed4f4192e6951a0d78c34ae4bfdc46bfd8411df1e75c
+DIST setuptools-34.4.1.zip 623937 SHA256 
704cc0c9fe6c97edd3c6370d165c5a754dfde318b671058523ed3226d944ea1b SHA512 
cd0b3fafe87fdea85b6f1c72fd6bfa138592cde2856d0d9336078443d05f55ef61fc764ef7428708578bcfd85ac1919eef0c8ceb4f3e90c26e7a128c17150f30
 WHIRLPOOL 
0133154e25c2c8a4b2c92aeac99f0c0665ee692d0798a5f5f1f642e7d4d10f1740f6deac414bd0cad388ffc64c0eeeb78097d28440bea034ac74c43bde7bb804

diff --git a/dev-python/setuptools/setuptools-34.4.1.ebuild 
b/dev-python/setuptools/setuptools-34.4.1.ebuild
new file mode 100644
index 00000000000..bc94af02a85
--- /dev/null
+++ b/dev-python/setuptools/setuptools-34.4.1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy pypy3 )
+
+inherit distutils-r1
+
+if [[ ${PV} == "9999" ]]; then
+       EGIT_REPO_URI="https://github.com/pypa/setuptools.git";
+       inherit git-r3
+else
+       SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~m68k ~ppc ~ppc64 ~s390 ~sh 
~x86 ~ppc-aix ~x64-cygwin ~sparc-fbsd ~amd64-linux ~arm-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris 
~x64-solaris ~x86-solaris"
+fi
+
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="https://github.com/pypa/setuptools 
https://pypi.python.org/pypi/setuptools";
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+       >=dev-python/packaging-16.8[${PYTHON_USEDEP}]
+       >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+       >=dev-python/appdirs-1.4.0-r1[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+       app-arch/unzip
+       test? (
+               dev-python/pip[${PYTHON_USEDEP}]
+               >=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+               >=dev-python/backports-unittest-mock-1.2[${PYTHON_USEDEP}]
+       )
+"
+PDEPEND="
+       >=dev-python/certifi-2016.9.26[${PYTHON_USEDEP}]"
+
+# Force in-source build because build system modifies sources.
+DISTUTILS_IN_SOURCE_BUILD=1
+
+DOCS=( {CHANGES,README}.rst 
docs/{easy_install.txt,pkg_resources.txt,setuptools.txt} )
+
+python_prepare_all() {
+       if [[ ${PV} == "9999" ]]; then
+               python_setup
+               ${EPYTHON} bootstrap.py || die
+       fi
+
+       # disable tests requiring a network connection
+       rm setuptools/tests/test_packageindex.py || die
+
+       # don't run integration tests
+       rm setuptools/tests/test_integration.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       # test_easy_install raises a SandboxViolation due to 
${HOME}/.pydistutils.cfg
+       # It tries to sandbox the test in a tempdir
+       HOME="${PWD}" py.test --verbose ${PN} || die "Tests failed under 
${EPYTHON}"
+}
+
+python_install() {
+       export DISTRIBUTE_DISABLE_VERSIONED_EASY_INSTALL_SCRIPT=1
+       distutils-r1_python_install
+}

Reply via email to